%global _empty_manifest_terminate_build 0
Name:		python-zipp
Version:	3.15.0
Release:	2
Summary:	Backport of pathlib-compatible object wrapper for zip files
License:	MIT
URL:		https://github.com/jaraco/zipp
Source0:	https://files.pythonhosted.org/packages/00/27/f0ac6b846684cecce1ee93d32450c45ab607f65c2e0255f0092032d91f07/zipp-3.15.0.tar.gz
BuildArch:	noarch

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n python3-zipp
Summary:	Backport of pathlib-compatible object wrapper for zip files
Provides:	python-zipp = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-setuptools_scm
BuildRequires:	python3-toml
BuildRequires:	python3-pytest
BuildRequires:	python3-more-itertools
BuildRequires:	python3-jaraco-functools
BuildRequires:	shadow
%description -n python3-zipp
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package help
Summary:	Development documents and examples for zipp
Provides:	python3-zipp-doc
%description help
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%prep
%autosetup -n zipp-%{version}
# Skip tests that depend on jaraco.itertools
sed -i "/import jaraco.itertools/d" tests/test_zipp.py
sed -i "/func_timeout/d" tests/test_zipp.py

%build
%pyproject_build

%install
%pyproject_install zipp==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi

%check
pytest -k "not test_joinpath_constant_time"

%files -n python3-zipp 
%defattr(-,root,root)
%{python3_sitelib}/*
%license LICENSE

%files help 
%{_docdir}/*

%changelog
* Wed Apr 26 2023 wangjunqi <wangjunqi@kylinos.cn> - 3.15.0-2
- apply pyproject.toml

* Fri Mar 17 2023 wangjunqi <wangjunqi@kylinos.cn> - 3.15.0-1
- Update package to version 3.15.0

* Mon Feb 27 2023 wangkai <wangkai385@h-partners.com> - 3.11.0-2
- Modify the patching method

* Fri Dec 16 2022 liqiuyu <liqiuyu@kylinos.cn> - 3.11.0-1
- Update package to version 3.11.0

* Tue Nov 01 2022 wangjunqi <wangjunqi@kylinos.cn> - 3.10.0-1
- Update package to version 3.10.0

* Thu Jul 28 2022 liksh <liks11@chinaunicom.cn> - 3.7.0-1
- Upgrade for openstack yoga

* Mon Dec 20 2021 shixuantong <shixuantong@huawei.com> - 3.6.0-1
- Upgrade to version 3.6.0

* Mon Jul 19 2021 liusheng <liusheng2048@gmaili.com> - 3.4.1-1
- Upgrade to version 3.4.1

* Wed Dec 16 2020 zhanzhimin<zhanzhimin@huawei.com> - 0.5.1-3
- Update Source0

* Fri Jun 19 2020 wuchaochao<wuchaochao4@huawei.com> - 0.5.1-2
- Depend on the python version to revise the spec file is variable

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 0.5.1-1
- Package init
